> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/algorand-algo/algod-rest-api/experimentalcheck-algorand.md).

# ExperimentalCheck - Algorand

Example code for the ExperimentalCheck REST method. Complete guide on how to use ExperimentalCheck REST in GetBlock Web3 documentation.

Returns OK if experimental API is enabled.

## Endpoint

```http
GET /v2/experimental
```

## Example

{% code overflow="wrap" %}

```bash
export ALGO_ALGOD=https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/

curl "${ALGO_ALGOD}v2/experimental"
```

{% endcode %}

## Response

Returns `application/json`. Top-level fields:

| Field  | Type             | Description              |
| ------ | ---------------- | ------------------------ |
| (body) | application/json | Experimental API enabled |

## Error Handling

| Error                     | Message       | Description                                       |
| ------------------------- | ------------- | ------------------------------------------------- |
| 400                       | Bad request   | A parameter was missing or malformed              |
| 404                       | Not found     | The requested resource does not exist             |
| 403 / RBAC: access denied | Access denied | The GetBlock access token is missing or incorrect |
